# Generated by Django 2.1.7 on 2019-04-29 06:09

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('nnx', '0004_auto_20190420_0433'),
    ]

    operations = [
        migrations.CreateModel(
            name='Firmware',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('version_no', models.CharField(max_length=10, unique=True)),
                ('version_code', models.IntegerField(unique=True)),
                ('change_log', models.CharField(blank=True, max_length=500, null=True)),
                ('firmware_src', models.CharField(blank=True, max_length=200, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.RemoveField(
            model_name='device',
            name='kid',
        ),
        migrations.RemoveField(
            model_name='device',
            name='members',
        ),
        migrations.DeleteModel(
            name='Device',
        ),
    ]
